Bug 1469094 - pmchart popup values dialog sometimes displays bogus values
pmchart popup values dialog sometimes displays bogus values
Status: NEW
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
28
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dave Brolley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 07:47 EDT by Mark Goodwin
Modified: 2018-02-20 10:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Goodwin 2017-07-10 07:47:33 EDT
Description of problem: double-left-click on a chart pops up the values dialog, which usually shows correct values initially. But if you continue double clicking eventually some of the values shown are incorrect.

Also, it's unclear whether the values shown in the popup for a stacked-bar chart should be cumulative, or individual values (IMO the latter is more useful, especially for %util charts like the CPU view where 'idle' should always be 100% with the current cumulative semantics).

Version-Release number of selected component (if applicable): 3.12.1-1 / F25

How reproducible: easily, at least on my F25 system

Steps to Reproduce:
1. pmchart -a qa/archives/pcp-zeroconf -geometry 512x768 -O-0 -v 32 -c CPU
2. double-left-click a few times in the CPU chart
3.

Actual results: observe incorrect values sometimes displayed, e.g. 0% for 'idle'.

Expected results: correct values displayed in the popup

Additional info: haven't tested pmchart in RHEL7.4-beta, but quite likely affected too
Comment 1 Nathan Scott 2017-07-16 23:10:01 EDT
Dave, could you take a look when you get a chance?  (you know this code best)
Comment 2 Fedora End Of Life 2017-11-16 14:01:04 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-02-20 10:28:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Note You need to log in before you can comment on or make changes to this bug.